Create a Webhook
Creates a webhook subscription.
Authorizations
Token-based authentication with required prefix "Token"
Body
Webhook URL. Supports {{variable}} placeholders resolved from the webhook payload (e.g. https://api.example.com/leads/{{id}}/notify). Use dot notation for nested values (e.g. {{metadata.us_state}}).
1 - 255LEAD_CREATED- Lead CreatedLEAD_UPDATED- Lead UpdatedLEAD_CLOSED- Lead ClosedLEAD_CLOSED_INCOMPLETE- Lead Closed IncompleteLEAD_LOST- Lead LostLEAD_SCHEDULE_COMPLETED- Lead Schedule CompletedLEAD_LATE_CALLBACK- Lead Late CallbackLEAD_OUT_OF_TERRITORY- Lead Out of TerritoryLEAD_BAD_NUMBER- Lead Bad NumberLEAD_CANCELLED- Lead CancelledLEAD_CALLBACK_TO_TRANSFER- Lead Callback to TransferLEAD_BEFORE_REENGAGEMENT- Lead Before ReengagementLEAD_REENGAGEMENT- Lead ReengagementLEAD_FIRST_INBOUND- Lead First InboundCALL_COMPLETE- Call CompleteBEFORE_CALLING- Before CallingCALL_FAILED- Call FailedCALL_ENDED- Call EndedCALL_TRANSFER_INITIATED- Call Transfer InitiatedSMS_DNC- SMS DNCCALL_DNC- CALL DNC
LEAD_CREATED, LEAD_UPDATED, LEAD_CLOSED, LEAD_CLOSED_INCOMPLETE, LEAD_LOST, LEAD_SCHEDULE_COMPLETED, LEAD_LATE_CALLBACK, LEAD_OUT_OF_TERRITORY, LEAD_BAD_NUMBER, LEAD_CANCELLED, LEAD_CALLBACK_TO_TRANSFER, LEAD_BEFORE_REENGAGEMENT, LEAD_REENGAGEMENT, LEAD_FIRST_INBOUND, CALL_COMPLETE, BEFORE_CALLING, CALL_FAILED, CALL_ENDED, CALL_TRANSFER_INITIATED, SMS_DNC, CALL_DNC HTTP method to use when sending the webhook request. NULL or blank defaults to POST.
GET- GETPOST- POSTPUT- PUTPATCH- PATCH
GET, POST, PUT, PATCH Optional filter expression that controls when the webhook fires. The expression is evaluated against the webhook payload - the same data sent in the request body. Leave blank to always fire. Use has('field') to check whether a field exists, get('path.to.value', default) for safe nested access, and comparison operators such as ==, !=, and, or. Examples: status == 'CLOSED', has('last_chat') and last_chat['is_contact'], get('last_chat.call_direction', '') == 'INBOUND'
Response
Webhook URL. Supports {{variable}} placeholders resolved from the webhook payload (e.g. https://api.example.com/leads/{{id}}/notify). Use dot notation for nested values (e.g. {{metadata.us_state}}).
255LEAD_CREATED- Lead CreatedLEAD_UPDATED- Lead UpdatedLEAD_CLOSED- Lead ClosedLEAD_CLOSED_INCOMPLETE- Lead Closed IncompleteLEAD_LOST- Lead LostLEAD_SCHEDULE_COMPLETED- Lead Schedule CompletedLEAD_LATE_CALLBACK- Lead Late CallbackLEAD_OUT_OF_TERRITORY- Lead Out of TerritoryLEAD_BAD_NUMBER- Lead Bad NumberLEAD_CANCELLED- Lead CancelledLEAD_CALLBACK_TO_TRANSFER- Lead Callback to TransferLEAD_BEFORE_REENGAGEMENT- Lead Before ReengagementLEAD_REENGAGEMENT- Lead ReengagementLEAD_FIRST_INBOUND- Lead First InboundCALL_COMPLETE- Call CompleteBEFORE_CALLING- Before CallingCALL_FAILED- Call FailedCALL_ENDED- Call EndedCALL_TRANSFER_INITIATED- Call Transfer InitiatedSMS_DNC- SMS DNCCALL_DNC- CALL DNC
LEAD_CREATED, LEAD_UPDATED, LEAD_CLOSED, LEAD_CLOSED_INCOMPLETE, LEAD_LOST, LEAD_SCHEDULE_COMPLETED, LEAD_LATE_CALLBACK, LEAD_OUT_OF_TERRITORY, LEAD_BAD_NUMBER, LEAD_CANCELLED, LEAD_CALLBACK_TO_TRANSFER, LEAD_BEFORE_REENGAGEMENT, LEAD_REENGAGEMENT, LEAD_FIRST_INBOUND, CALL_COMPLETE, BEFORE_CALLING, CALL_FAILED, CALL_ENDED, CALL_TRANSFER_INITIATED, SMS_DNC, CALL_DNC HTTP method to use when sending the webhook request. NULL or blank defaults to POST.
GET- GETPOST- POSTPUT- PUTPATCH- PATCH
GET, POST, PUT, PATCH Optional filter expression that controls when the webhook fires. The expression is evaluated against the webhook payload - the same data sent in the request body. Leave blank to always fire. Use has('field') to check whether a field exists, get('path.to.value', default) for safe nested access, and comparison operators such as ==, !=, and, or. Examples: status == 'CLOSED', has('last_chat') and last_chat['is_contact'], get('last_chat.call_direction', '') == 'INBOUND'